Bug 692753 - Please rename 'pdfinfo' to 'mupdfinfo'
Please rename 'pdfinfo' to 'mupdfinfo'
Status: RESOLVED FIXED
Product: MuPDF
Classification: Unclassified
Component: apps
unspecified
PC Linux
: P4 normal
Assigned To: Tor Andersson
Bug traffic
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-20 10:35 PST by pipitas
Modified: 2012-01-28 00:35 PST (History)
2 users (show)

See Also:
Customer:
Word Size: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pipitas 2011-12-20 10:35:27 PST
I like the functionality of MuPDF very much and I'm grateful for having been given such a great tool by its developers.

MuPDF's commandline utility 'pdfinfo' conflicts with at least to other tools:

 * XPDF's commandline utility 'pdfinfo'
 * Poppler's commandline utility 'pdfinfo'

While Poppler is a more fork of the venerable XPDF and strifes to output the exactly same format for the same info as its "parent", MuPDF is different. That means: replacing Poppler's 'pdfinfo' for XPDF's normally keeps shell scripts working as before. (It is still annoying that one cannot install Poppler and XPDF side-by-side on  *nix or *OSX systems without conflicts...)

With MuPDF it's the same problem: it conflicts with Poppler or XPDF. This not only hinders a broader adoption of the whole package by admins and users, thusly increasing the personal satisfaction of its developers, but it also is a source of many headaches for every volunteer MuPDF packager on the various platforms.

I for myself have for now solved the problem for my own self-compiled installations by adding a line to the 'install' section of the local Makefiles which takes care of the renaming (this exhausts my own limits of source code hacking already, otherwise I would try to provide a patch for you).

Hence my polite request to (at least) rename 

  'pdfinfo' to 'mupdfinfo'

to make room for removing packaging conflicts on Mac OS X (MacPorts), Linux, OpenSolaris and *BSD. And while you're at it, why not rename all the other commandline tools as well?

  'pdfclean'   to 'mupdfclean'
  'pdfdraw'    to 'mupdfdraw'
  'pdfextract' to 'mupdfextract'
  'pdfshow'    to 'mupdfshow'
  'xpsdraw'    to 'muxpsdraw'
 
This would not only avoid packaging conflicts, but would also increase the 'profile' of MuPDF. Think about Google search results in a year or two after renaming to effect: all the IT bloggers who will have mentioned one of the mu* tools will have contributed to made it stand out and will have increased MuPDF's popularity (instead of burying it amongst the big sea of all the pdf* tools)....

:-)
Comment 1 pipitas 2012-01-27 22:52:26 PST
Thank you :-)

Just saw commit 78e29456b051f41073d706ac7d3eb76bfa08b0ab :-)
Comment 2 Robin Watts 2012-01-28 00:35:18 PST
Thanks for the bug report. Fixed (as you point out) in:


commit 78e29456b051f41073d706ac7d3eb76bfa08b0ab
Author: Robin Watts <robin.watts@artifex.com>
Date:   Fri Jan 27 13:34:32 2012 +0000

    Rename pdfdraw to mupdfdraw etc.

    This a) improves our branding, and b) avoids conflicts with
    other pdf tools out there (pdfinfo etc).